|  | Home · All Classes · All Functions · Overviews

# Obsolete Members for QWSInputMethod

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QWSInputMethod class reference

## Protected Functions

void | sendIMEvent ( QWSServer::IMState state, const QString & text, int cursorPosition, int selectionLength = 0 ) `(obsolete)`

## Member Function Documentation

### void QWSInputMethod::sendIMEvent ( QWSServer::IMState state, const QString & text, int cursorPosition, int selectionLength = 0 ) `[protected]`

Sends a QInputMethodEvent object to the focus widget.

If the specified state is QWSServer::IMCompose, text is a preedit string, cursorPosition is the cursor's position within the preedit string, and selectionLength is the number of characters (starting at cursorPosition) that should be marked as selected by the input widget receiving the event. If the specified state is QWSServer::IMEnd, text is a commit string.

Use sendEvent(), sendPreeditString() or sendCommitString() instead.